Bug 132104 - [MediaStream] .ended shouldn't be part of MediaStream IDL
Summary: [MediaStream] .ended shouldn't be part of MediaStream IDL
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: WebExposed
Depends on:
Blocks:
 
Reported: 2014-04-23 20:42 PDT by Praveen Jadhav
Modified: 2014-04-27 19:38 PDT (History)
12 users (show)

See Also:


Attachments
Patch (13.61 KB, patch)
2014-04-25 02:40 PDT, Praveen Jadhav
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Praveen Jadhav 2014-04-23 20:42:14 PDT
.ended attribute won't be part of MediaStream IDL from next release(http://dev.w3.org/2011/webrtc/editor/getusermedia.html#mediastream). Implementation should be deprecated in WebKit.
Comment 1 Praveen Jadhav 2014-04-25 02:40:17 PDT
Created attachment 230155 [details]
Patch

.ended implementation is cleaned up. Not sure if this is the right way though.
Comment 2 WebKit Commit Bot 2014-04-27 19:38:14 PDT
Comment on attachment 230155 [details]
Patch

Clearing flags on attachment: 230155

Committed r167868: <http://trac.webkit.org/changeset/167868>
Comment 3 WebKit Commit Bot 2014-04-27 19:38:19 PDT
All reviewed patches have been landed.  Closing bug.